%define upstream_name    String-Escape
%define upstream_version 2010.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Registry of string functions, including backslash escapes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch


%description
This module provides a flexible calling interface to some
frequently-performed string conversion functions, including applying and
removing C/Unix-style backslash escapes like \n and \t, wrapping and
removing double-quotes, and truncating to fit within a desired length.

Furthermore, the escape() function provides for dynamic selection of
operations by using a package hash variable to map escape specification
strings to the functions which implement them. The lookup imposes a bit
of a performance penalty, but allows for some useful late-binding
behaviour. Compound specifications (ex. 'quoted uppercase') are expanded
to a list of functions to be applied in order. Other modules may also
register their functions here for later general use. (See the "CALLING
BY NAME" section below for more.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2010.2.0-11.mga10
+ Revision: 2200725
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2010.2.0-10.mga9
+ Revision: 1805782
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2010.2.0-9.mga8
+ Revision: 1497210
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2010.2.0-8.mga7
+ Revision: 1271231
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2010.2.0-7.mga6
+ Revision: 1033357
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 2010.2.0-6.mga6
+ Revision: 929511
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2010.2.0-5.mga5
+ Revision: 750776
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2010.2.0-4.mga5
+ Revision: 686242
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2010.2.0-3.mga4
+ Revision: 514753
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2010.2.0-2.mga3
+ Revision: 372785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2010.2.0-1.mga1
+ Revision: 26997
- mageia rebuild
- imported package perl-String-Escape

